<?php 

$tiempo_expiration = 365 * 24 * 3600; //tiempo en segudos correspondiente a 1 año
setcookie("nombre","María",time()+$tiempo_expiration);

//Recargar la página 
if (isset($_COOKIE['nombre'])) { //prueba si está la cookie
   echo "El nombre en cookie es:".$_COOKIE['nombre'];
}

?>
